FROM {{ namespace }}/{{ image_prefix }}prometheus-base:{{ tag }}
{% block labels %}
LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build_date }}"
{% endblock %}

{% block mysqld_exporter_header %}{% endblock %}

{% block mysqld_exporter_repository_version %}
ENV mysqld_exporter_version=0.12.1
{% endblock %}

{% block mysqld_exporter_install %}
RUN curl -o /tmp/mysqld_exporter.tar.gz https://github.com/prometheus/mysqld_exporter/releases/download/v${mysqld_exporter_version}/mysqld_exporter-${mysqld_exporter_version}.linux-{{debian_arch}}.tar.gz \
    && tar xvf /tmp/mysqld_exporter.tar.gz -C /opt/ \
    && rm -f /tmp/mysqld_exporter.tar.gz \
    && ln -s /opt/mysqld_exporter* /opt/mysqld_exporter
{% endblock %}

{% block mysqld_exporter_footer %}{% endblock %}
{% block footer %}{% endblock %}

USER prometheus
